.submission-confirmation {
    align-items: center;
    display: flex;
    justify-content: center;
    min-height: calc( 100vh - 80px );
    padding: 5em 2.22em;
}

.submission-shortlist {

    .content-wrapper {
        display: flex;
        flex-flow: column nowrap;
        gap: 2em;
    }

    
    .content-item__header {
        text-align: center;
    }

    .content-item__body {
        display: flex;
        flex-flow: column nowrap;
        gap: 1em;

        .proposed-designers {
            border: 8px solid #fff;
            box-shadow: 0px 1px 2px 0px rgb(153, 153, 153);
            display: grid;
            gap: 1em;
            grid-template-columns: 1fr 7.5fr;
            order: 1;
            padding: 1em;
            padding-bottom: 2em;
            position: relative;

            @media( max-width: 640px) {
                grid-template-columns: 1fr;
            }

            img.ribbon-chosen {
                left: 0;
                position: absolute;
                top: 0;
            }
        }

        .proposed-designers__left-content {

            .designer-photo {
                aspect-ratio: 1;
                border: 5px solid #fff;
                box-shadow: 0px 1px 2px 0px rgb(153, 153, 153);
                display: grid;
                height: auto;
                max-width: 6.125rem;

                img {
                    aspect-ratio: 1;
                    height: 100%;
                    max-width: 100%;
                    object-fit: cover;
                }
            }
        }

        .proposed-designers__right-content {
            display: flex;
            flex-flow: column nowrap;
            gap: 1em;

            .designer-heading {
                display: flex;
                gap: 0.5em 1em;
                justify-content: space-between;

                @media( max-width: 640px) {
                    flex-flow: row wrap;
                }

                .designer-heading__title {
                    overflow-wrap: anywhere;
                }

                .designer-heading__links {

                    ul {
                        display: flex;
                        gap: 1em;
                        list-style: none;

                        li {
                            margin-bottom: 0;
                        }
                    }
                }
            }

            .designer-projects {

                .design-projects__wrapper {
                    display: grid;
                    gap: 1em;
                    grid-template-columns: repeat(auto-fill, minmax(45px, 1fr));
                    position: relative;
                }

                .design-projects__item {
                    aspect-ratio: 1;
                    border: 4px solid #fff;
                    box-shadow: 0px 1px 2px 0px rgb(153, 153, 153);
                    display: grid;
                    height: auto;

                    img {
                        aspect-ratio: 1;
                        height: 100%;
                        max-width: 100%;
                        object-fit: cover;
                    }
                }
            }
        }
    }

    .followup-message {
        display: flex;
        flex-flow: column nowrap;
        gap: 2em;

        p {
            margin-bottom: 1em;
        }

        p:last-of-type {
            margin-bottom: 0;
        }
    }

    .followup-form {
        display: flex;
        flex-flow: column nowrap;
        gap: 3em;
        margin-inline: auto;
        max-width:512px;

        .followup-form__heading {
            text-align: center;

            h1 {
                margin-bottom: 0.25em;
            }
        }

        a.back-to-top {
            text-align: center;
        }
    }
}

.submission-shortlist--id {
    background-color: #E9E9E9;
}

.submission-shortlist--ar {
    background-color: #f2fce3;
}

.submission-enquiry {
    background-color: #ecf7f8;

    .submission-confirmation__wrapper {
        max-width: 700px;
        width: 100%;
    }

    h1 {
        text-align: center;
    }
    
    .content-item {
        padding: 2.5em 0;
        position: relative;
    }

    .content-item:first-child {
        padding-top: 0;
    }

    .content-item:last-child {
        padding-bottom: 0;
    }

    .content-item::after {
        border-bottom: 1px solid;
        border-color: inherit;
        bottom: 0;
        content: '';
        display: inline-block;
        filter: opacity(0.2);
        left: 50%;
        max-width: 56px;
        position: absolute;
        transform: translateX(-50%);
        width: 100%;
    }

    .content-item:last-child::after {
        border: 0;
    }

    .content-body {

        p {
            margin-bottom: 1em;
        }

        p:last-of-type {
            margin-bottom: 0;
        }
    }

    .content-footer {
        display: grid;
        gap: 2.5em 1em;
    }

    .content-stylebook {

        .img-wrapper {
            display: grid;
            gap: 1em;
            width: 100%;

            img {
                aspect-ratio: 1;
                object-fit: cover;
                width: 100%;
            }

            span {
                font-size: 0.825rem;
            }
        }
    }

    .item-heading {
        display: block;
        padding-bottom: 0.75em;
    }
}

.submission-not-found {
    background-color: #99d2dc;

    h1 {
        color: #fff;
        font-size: 4rem;
        text-align: center !important;
        text-transform: uppercase;

        @media( max-width: 640px) {
            font-size: 2.5rem;
        }
    }
}

.proposal-footer {
    padding: 2.22em;
}

.proposal-links {
    background-color: #3D415F;
    padding: 0.65em 2.22em;
    width: 100%;

    .proposal-links__wrapper {
        display: flex;
        justify-content: center;
    }

    a {
        color: #fff;
        font-size: 0.875rem;
        padding: 0 1.5em;
        position: relative;
        filter: opacity(0.75);
        transition: 200ms all ease-out;
    }

    a:hover {
        filter: opacity(1);
    }

    a.link-active {
        filter: opacity(1);
        text-decoration: underline;
    }

    a::after {
        border: 1px solid rgba(255,255,255,0.25);
        content: '';
        height: 100%;
        position: absolute;
        right: 0;
        top: 0;
    }

    a:last-child::after {
        border: 0;
    }
}

.designer-followup-enquiry {

    .form-group--2col {
        display: grid;
        gap: 1em;
        grid-template-columns: 3fr 1fr;
    }

    .form-content-radio {
        align-items: center;
        display: flex;
        gap: 0.75em;

        input {
            width: unset;
        }

        label {
            all: unset;
            font-size: 0.85rem;
        }
    }

    .your-project .form-content-checkbox,
    .your-architect .form-content-checkbox {

        input[type="checkbox"] {
            padding: 0.4em 0.4em;
        }
        
        label {
            font-size: 0.85rem;
        }
    }
}

.followup-handler {

    .followup-handler__content {
        align-items: center;
        display: flex;
        gap: 2em;

        img {
            border-radius: 50%;
            height: 100%;
            max-height: 100px;
            max-width: 100px;
            object-fit: cover;
            width: 100%;
        }

        .right-content > p {
            text-align: left !important;
        }
    }
}